=== debian/changelog ===
ttyd (1.6.3-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Sun, 10 Oct 2021 13:45:24 -0400

ttyd (1.6.3-3) sid; urgency=medium

  * Uploading to sid.
  * Adding /etc/default/ttyd to handle options used to start ttyd via systemd
    unit.
  * Restricting package to linux architectures.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 26 Feb 2021 09:38:56 +0100

ttyd (1.6.3-2) sid; urgency=medium

  * Uploading to sid.
  * Adding README.Debian.
  * Correcting path to executables in system service,
    thanks to Jonas Smedegaard <dr@jones.dk> (Closes: #983261).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 22 Feb 2021 06:50:22 +0100

ttyd (1.6.3-1) sid; urgency=medium

  * Initial upload to sid (Closes: #972863).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 08 Feb 2021 14:18:19 +0100
