=== debian/control ===
Source: ttyd
Section: web
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libjson-c-dev,
 libwebsockets-dev,
 zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://tsl0922.github.io/ttyd
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/ttyd
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/ttyd

Package: ttyd
Section: web
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Share your terminal over the web
 ttyd is a command-line tool for sharing a terminal over the web.
