=== debian/changelog ===
ttyd (1.6.3+20210924-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Fri, 03 Dec 2021 12:30:16 +0100

ttyd (1.6.3+20210924-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.6.3+20210924.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 09 Oct 2021 12:24:08 +0200

ttyd (1.6.3-4) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 09 Oct 2021 11:02:22 +0200
