=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libwebsockets-dev,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://tsl0922.github.io/ttyd
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/ttyd
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/ttyd
