=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ttyd-$1\.tar\.gz/ \
https://github.com/tsl0922/ttyd/releases .*/v?(\d\S+)\.tar\.gz
