## ttyd 1.6.3+20220719

=== debian/changelog ===
ttyd (1.6.3+20220719-3) sid; urgency=medium

  * Uploading to sid.
  * Correcting typo of ProxyPassReverse directive name in apache2 config.
  * Using 127.0.0.1 instead of localhost in apache2 config to work on
    ipv6-only systems too.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 21 Jul 2022 07:14:33 +0200

ttyd (1.6.3+20220719-2) sid; urgency=medium

  * Uploading to sid.
  * Removing superfluous slashes in apache2 config for convenience
    reasons.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 20 Jul 2022 08:08:53 +0200

ttyd (1.6.3+20220719-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.6.3+20220719.
  * Updating copyright for new upstream.
  * Updating to standards version 4.6.1.
  * Adding apache2 reverse-proxy configuration.
  * Adding TODO file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 19 Jul 2022 12:34:47 +0200
