=== debian/changelog ===
ttyd (1.7.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.7.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 15 Aug 2022 14:08:23 +0200

ttyd (1.6.3+20220719-4) sid; urgency=medium

  * Uploading to sid.
  * Correcting port typo in apache2 config.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 21 Jul 2022 16:37:32 +0200
