## ttyd 1.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,15 @@
 cmake_minimum_required(VERSION 2.8)
 
-project(ttyd C)
-set(PROJECT_VERSION "1.7.0")
+if(${CMAKE_VERSION} VERSION_LESS "3.12.0")
+    project(ttyd C) 
+    set(PROJECT_VERSION_MAJOR "1")
+    set(PROJECT_VERSION_MINOR "7")
+    set(PROJECT_VERSION_PATCH "2")
+    set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
+else()
+    cmake_policy(SET CMP0048 NEW)
+    project(ttyd VERSION 1.7.2 LANGUAGES C)
+endif()
 
 find_package(Git)
 if(GIT_FOUND)
@@ -72,8 +80,13 @@
 
 if(WIN32)
     list(APPEND LINK_LIBS shell32 ws2_32)
-elseif(NOT APPLE)
-    list(APPEND LINK_LIBS util)
+    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/app.rc.in ${CMAKE_CURRENT_BINARY_DIR}/app.rc @ONLY)
+    list(APPEND SOURCE_FILES ${CMAKE_CURRENT_BINARY_DIR}/app.rc)
+else()
+    find_library(LIBUTIL NAMES util)
+    if(LIBUTIL)
+        list(APPEND LINK_LIBS util)
+    endif()
 endif()
 
 add_executable(${PROJECT_NAME} ${SOURCE_FILES})
