=== debian/changelog ===
ttyd (1.7.2-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.7.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 21 Oct 2022 11:25:05 +0200

ttyd (1.7.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.7.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 02 Sep 2022 10:36:10 +0200
