=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libwebsockets-dev,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://tsl0922.github.io/ttyd
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/ttyd
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/ttyd
@@ -20,5 +20,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Suggests:
+ apache2,
 Description: Share your terminal over the web
  ttyd is a command-line tool for sharing a terminal over the web.
