## ttyd 1.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,11 +4,11 @@
     project(ttyd C) 
     set(PROJECT_VERSION_MAJOR "1")
     set(PROJECT_VERSION_MINOR "7")
-    set(PROJECT_VERSION_PATCH "2")
+    set(PROJECT_VERSION_PATCH "3")
     set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
 else()
     cmake_policy(SET CMP0048 NEW)
-    project(ttyd VERSION 1.7.2 LANGUAGES C)
+    project(ttyd VERSION 1.7.3 LANGUAGES C)
 endif()
 
 find_package(Git)
