=== debian/changelog ===
ttyd (1.7.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.7.3.
  * Updating to standards version 4.6.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 23 Jan 2023 09:45:13 +0100
