## ttyd 1.7.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 2.8.12)
 
 if(${CMAKE_VERSION} VERSION_LESS "3.12.0")
     project(ttyd C) 
     set(PROJECT_VERSION_MAJOR "1")
     set(PROJECT_VERSION_MINOR "7")
-    set(PROJECT_VERSION_PATCH "3")
+    set(PROJECT_VERSION_PATCH "4")
     set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
 else()
     cmake_policy(SET CMP0048 NEW)
-    project(ttyd VERSION 1.7.3 LANGUAGES C)
+    project(ttyd VERSION 1.7.4 LANGUAGES C)
 endif()
 
 find_package(Git)
