=== debian/changelog ===
ttyd (1.7.4-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:28:34 +1100

ttyd (1.7.4-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 02:08:29 +0000

ttyd (1.7.4-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.7.4.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 04 Oct 2023 14:22:48 +0200

ttyd (1.7.3-2) sid; urgency=medium

  * Uploading to sid.
  * Adding manual depends to libwebsockets-evlib-uv (Closes: #1022217).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Feb 2023 20:52:44 +0100
