=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ttyd
 Section: web
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -18,6 +19,7 @@
 Section: web
 Architecture: linux-any
 Depends:
+ libwebsockets-evlib-uv,
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
