=== debian/changelog ===
ttyd (1.7.7-4) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 13:05:39 +0200

ttyd (1.7.7-3) sid; urgency=medium

  * Switching from releases to tags in watch file.
  * Updating source url in copyright.
  * Updating my email address.
  * Updating year in debian copyright for 2025.
  * Updating to standards version 4.7.2.
  * Updating vcs fields.
  * Trimming debian changelog.

 -- Daniel Baumann <daniel@debian.org>  Tue, 22 Apr 2025 17:35:03 +0200

ttyd (1.7.7-2) sid; urgency=medium

  * Moving writable startup-option to the front as apparently order
    matters.

 -- Daniel Baumann <daniel@debian.org>  Mon, 08 Apr 2024 10:20:40 +0200

ttyd (1.7.7-1) sid; urgency=medium

  * Merging upstream version 1.7.7.
  * Updating copyright for 2024.
  * Updating to standards-version 4.7.0.
  * Starting ttyd by default in read-write mode (ttyd 1.7.4 changed to
    read-only default which makes sense as a general default, in Debian
    ttyd is by default started on localhost only and requireing login).

 -- Daniel Baumann <daniel@debian.org>  Mon, 08 Apr 2024 10:17:09 +0200
