=== debian/control ===
Source: ttyd
Section: web
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libjson-c-dev,
 libwebsockets-dev,
 zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://tsl0922.github.io/ttyd
Vcs-Browser: https://forgejo.debian.net/ttyd/ttyd
Vcs-Git: https://forgejo.debian.net/ttyd/ttyd

Package: ttyd
Section: web
Architecture: linux-any
Depends:
 libwebsockets-evlib-uv,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 apache2,
Description: Share your terminal over the web
 ttyd is a command-line tool for sharing a terminal over the web.
