=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --builddirectory=build

override_dh_auto_build:
	mkdir -p build && cd build && cmake .. && make
