=== debian/watch ===
version=4
https://github.com/tsl0922/ttyd/tags .*/v?(\d.*)@ARCHIVE_EXT@
